/*
 * linux/include/asm-arm/arch-ep93xx/platform.h
 */

#ifndef __ASM_ARM_ARCH_PLATFORM_H__
#define __ASM_ARM_ARCH_PLATFORM_H__

#ifndef __ASSEMBLY__
#include <asm/arch/ep93xx-regs.h>

void ep93xx_map_io(void);
void ep93xx_init_irq(void);
void ep93xx_init_time(unsigned long);
void ep93xx_init_devices(void);
extern struct sys_timer ep93xx_timer;

struct ep93xx_eth_data
{
	unsigned char	dev_addr[6];
	unsigned char	phy_id;
	int (*set_mac)(struct ep93xx_eth_data *);
};

#if defined(CONFIG_MACH_ARMADILLO210) || defined(CONFIG_MACH_ARMADILLO220) || \
    defined(CONFIG_MACH_ARMADILLO230) || defined(CONFIG_MACH_ARMADILLO240)

typedef enum _board_id_e{
	BOARD_ID_UNKONWN = -1,
	BOARD_ID_A210 = 0,
	BOARD_ID_A220,
	BOARD_ID_A230,
	BOARD_ID_A240,
	BOARD_ID_A210C,
}board_id_e;

#define get_board_id() ((inl(EP93XX_GPIO_REG(0x40)) >> 2) & 0x7)
#define get_board_sdram32bit() ((inl(EP93XX_GPIO_REG(0x40)) >> 5) & 0x1)
#endif

#endif

#endif /* __ASM_ARM_ARCH_PLATFORM_H__ */
